<!DOCTYPE html>
<html lang="en">

<head>
    <title>TODO list API</title>

    <link rel="stylesheet" href="style.css" type="text/css" media="screen" />

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script src="user_manager.js" async></script>
    <script src="tasks_manager.js" async></script>
    <script src="UI.js" async></script>

</head>

<body>
    <div id="userOverview">
        <p id="user"></p>
        <button id="logout">Odhlásit</button>
        <button id="deleteUser">Smazat účet</button>
    </div>

    <div id="userBlock">
        <div id="signupLoginBox">
            <b>SEMESTRÁLNÍ PROJEKT<br>WEAP 2020<br>TODO List<br></b>
            <label for="email" id="infoBox"></label>
            <input id="email" type="email" placeholder="milk.shake@tul.cz" required>
            <input id="password" type="password" placeholder="heslo" required>
            <input id="submitSignup" type="submit" value="Registrace">
            <input id="submitLogin" type="submit" value="Přihlášení">
            <b>&copy; Lukáš Soukup<br></b>
        </div>
    </div>
    <div id="cover"></div>
    <div id="taskBlock">
        <div class="tasks" id="getAllTasks">
            <button id="addNewTask">Přidat</button>
            <form id="filter">
                <div id="filterBox">
                    <input id="all" type="radio" name="filtering" value="vsechny" checked>
                    <label for="all">Všechny</label>
                    <input id="completed" type="radio" name="filtering" value="hotove">
                    <label for="completed">Hotové</label>
                    <input id="ongoing" type="radio" name="filtering" value="aktualni">
                    <label for="ongoing">Aktuální</label>
                </div>
            </form>
            <div id="messageBox"></div>
            <div id="allTasks"></div>
        </div>

        <div class="tasks" id="getTask">
            <button id="settings" class="editor">&#128295;</button>
            <button class="editor" name="check">✔️</button>
            <button id="cross" class="editor">&#10060;</button>
            <button class="editorDel" name="del">&#128465;</button>
            <h1 id="name">s</h1>
            <input id="status" type="checkbox">
            <label id="statusText"></label>
            <h5 id="details">no entry</h5>
            <i id="id"></i>
        </div>
        <div class="tasks" id="postTask">
            <input id="newName" type="text" placeholder="Název" required>
            <input id="newDetails" type="text" placeholder="Popis">
            <button id="createTask">Přidat</button>
        </div>
    </div>
</body>

</html>